---

bind_recursion: true

bind_dnssec_enable: false

bind_acls:
  - name: trusted
    match_list:
      - 192.168.124.0/24
      - 127.0.0.1
  - name: xfer
    match_list:
      - none

bind_forwarders:
  # digitalcourage
  - 46.182.19.48
  # (dns.as250.net; Berlin/Frankfurt
  - 194.150.168.168
  # verizon
  - 141.1.1.1
  # IBM
  - 1.1.1.1
  - 10.10.10.10

bind_listen:
  ipv4:
    - port: 53
      addresses:
        - "127.0.0.1"
        - "{{ ansible_default_ipv4.address }}"

bind_allow_query:
  - 127.0.0.1
  - 192.168.124.0/24

bind_zone_soa:
  minimum_ttl: "32H"
  ttl: "48H"
  time_to_refresh: "24H"
  time_to_retry: "2H"
  time_to_expire: "2D"

bind_zones:
  - name: cm.local
    type: primary
    create_reverse_zones: true  # Skip creation of reverse zones
    primaries:
      - "{{ ansible_default_ipv4.address }}" # Primary server(s) for this zone
    name_servers:
      - 'dns.cm.local.'
    networks:
      - '192.168.124.0/24'
    hosts:
      - name: '@'
        name_servers: 'dns.cm.local.'
        ip: "{{ ansible_default_ipv4.address }}"
      - name: dns
        ip: "{{ ansible_default_ipv4.address }}"
        aliases:
          - ldap
      - name: build
        ip: 192.168.124.10
        aliases:
          - registry
          - git
          - gitea
          - licenses
          - jenkins
      - name: studio
        ip: 192.168.124.20
        aliases:
          - preview
          - headless-server-preview
          - headless-preview
      - name: cms
        ip: 192.168.124.21
        aliases:
          - content-management-server
          - workflow-server
          - wfs
          - solr-primary-cms
          - solr-be
          - content-feeder
          - mongodb.cms
      - name: mls
        ip: 192.168.124.30
        aliases:
          - master-live-server
          - mls.ior
          - solr-primary-mls
          - solr-fe
          - mongodb.mls
      - name: rls-01
        ip: 192.168.124.35
        aliases:
          - replication-live-server-01
          - rls-01.ior
          - solr-replica-01
          - solr-01
      - name: rls-02
        ip: 192.168.124.36
        aliases:
          - replication-live-server-02
          - rls-02.ior
          - solr-replica-02
          - solr-02
      - name: monitoring
        ip: 192.168.124.50
        aliases:
          - icinga
          - grafana
          - prometheus
          - loki
          - alertmanager
          - doc
      - name: dba-frontend
        ip: 192.168.124.100
      - name: dba-backend
        ip: 192.168.124.110
